Bug 1479667 - Azure Cloud Network cfmeautopay shows higher instances number
Azure Cloud Network cfmeautopay shows higher instances number
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.9.0
Assigned To: Ladislav Smola
Patrik Holop
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-09 02:26 EDT by Patrik Holop
Modified: 2017-11-10 04:45 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Azure


Attachments (Terms of Use)

  None (edit)
Description Patrik Holop 2017-08-09 02:26:08 EDT
Description of problem:
In summary of "cfmeautopay" cloud network of azure Network Manager is the number of Relationships->Instances 10. After redirection by clicking on Relationships->Instances are shown only 9.

Version-Release number of selected component (if applicable):
5.8.1.5 downstream-58z

How reproducible:
Randomly

Steps to Reproduce:
1. Add Azure Cloud Network Provider
2. Navigate to Networks->Networks->cfmeautopay
3. Check the Relationships->Instances number
4. Click on Relationships->Instances 
5. Check the number of shown instances 

Actual results:
1. Numbers in step 3 and step 5 are different.
2. Numbers in step 3 is different than the number of VMs connected to 
   cfmeautopay Cloud Networks in Networks->Topology 

Expected results:
1. Numbers in step 3 and step 5 should not differ.
2. Numbers in step 3 should be equal with number of VMs connected to 
   cfmeautopay Cloud Networks in Networks->Topology   

Additional info:
 Problem may to connected to the number of ports of instances. Only one 
 instance has 2 ports instead of 1, which may cause the higher number of 
 instances in the summary
Comment 3 CFME Bot 2017-08-10 10:06:39 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/77a77d710e7271d92b8b865a3fcb2d46cb27ea8d

commit 77a77d710e7271d92b8b865a3fcb2d46cb27ea8d
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Thu Aug 10 11:20:11 2017 +0200
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Aug 10 11:20:11 2017 +0200

    Make networks vms relations distinct
    
    Make networks vms relations distinct, otherwise the Vm count
    could be shown as higher, if the the vm has multiple ports
    plugged into the same network.
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1479667

 app/models/cloud_network.rb | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
Comment 4 Patrik Holop 2017-09-06 07:35:47 EDT
Sorry, accidentally changed state.
Comment 5 Patrik Holop 2017-11-10 04:45:52 EST
Tested on version 5.9.0.5 -> Azure. Tests passed.

Note You need to log in before you can comment on or make changes to this bug.